SD_JOURNAL_ADD_MATCH(3)

NAME
sd_journal_add_match, sd_journal_add_disjunction, sd_journal_add_conjunction, sd_journal_flush_matches - Add or remove entry matches

SYNOPSIS

#include <elogind/sd-journal.h>

int sd_journal_add_match(sd_journal *j, const void *data, size_t size);

int sd_journal_add_disjunction(sd_journal *j);

int sd_journal_add_conjunction(sd_journal *j);

void sd_journal_flush_matches(sd_journal *j);

DESCRIPTION

As elogind can not support systemd-journal, the functions sd_journal_add_match(), sd_journal_add_disjunction(), sd_journal_add_conjunction() and sd_journal_flush_matches() simply do nothing.

RETURN VALUE

sd_journal_add_match(), sd_journal_add_disjunction() and sd_journal_add_conjunction() always return 0. sd_journal_flush_matches() returns nothing.

NOTES

These APIs are implemented as a shared library, which can be compiled and linked to with the libelogind pkg-config(1) file.

SEE ALSO

elogind(8), sd_journal_open(3), sd_journal_next(3), sd_journal_get_data(3), elogind.journal-fields(7)